Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610841 - LPFC: Read/Write I/O failures when T10 BlockGuard is enabled.
LPFC: Read/Write I/O failures when T10 BlockGuard is enabled.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 10:49 EDT by Vaios Papadimitriou
Modified: 2010-10-21 15:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 15:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaios Papadimitriou 2010-07-02 10:49:26 EDT
System: IBM PowerPC 8204-E8A
Kernel: 2.6.32-30.el6.ppc64
Driver: 8.3.5.13-ppc-fix-ihab

Steps to recreate:

dd if=/dev/sde of=/tmp/data.out bs=512 count=1
dd: reading `/dev/sde': Input/output error
0+0 records in
0+0 records out
0 bytes (0 B) copied, 0.00585902 s, 0.0 kB/s

Expect I/O to complete without error.

Excerpt from log file:

Jun 16 15:47:39 sanx1001 root: === dd if=/dev/sde of=/tmp/data.out bs=512 count=1 ===
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9033 BLKGRD: rcvd protected cmd:28 op:03 str=SCSI_PROT_READ_STRIP
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9034 BLKGRD: CDB: 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9035 BLKGRD: READ @ sector 0, count 256
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:0336 Rsp Ring 0 error: IOCB Data: x40000048 x631900c0 x0 x0 xe x0 xe4c08ed x10229b36
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Done: RETRY
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9033 BLKGRD: rcvd protected cmd:28 op:03 str=SCSI_PROT_READ_STRIP
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9034 BLKGRD: CDB: 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9035 BLKGRD: READ @ sector 0, count 256
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:0336 Rsp Ring 0 error: IOCB Data: x40000048 x631800c0 x0 x0 xe x0 xe4d08ec x10229b36
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Done: RETRY
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9033 BLKGRD: rcvd protected cmd:28 op:03 str=SCSI_PROT_READ_STRIP
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9034 BLKGRD: CDB: 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9035 BLKGRD: READ @ sector 0, count 256
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:0336 Rsp Ring 0 error: IOCB Data: x40000048 x631a00c0 x0 x0 xe x0 xe4e08ee x10229b36
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Done: RETRY
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9033 BLKGRD: rcvd protected cmd:28 op:03 str=SCSI_PROT_READ_STRIP
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9034 BLKGRD: CDB: 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9035 BLKGRD: READ @ sector 0, count 256
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:0336 Rsp Ring 0 error: IOCB Data: x40000048 x631b00c0 x0 x0 xe x0 xe4f08ef x10229b36
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Done: RETRY
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9033 BLKGRD: rcvd protected cmd:28 op:03 str=SCSI_PROT_READ_STRIP
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9034 BLKGRD: CDB: 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9035 BLKGRD: READ @ sector 0, count 256
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:0336 Rsp Ring 0 error: IOCB Data: x40000048 x631c00c0 x0 x0 xe x0 xe5008f0 x10229b36
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Done: RETRY
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9033 BLKGRD: rcvd protected cmd:28 op:03 str=SCSI_PROT_READ_STRIP
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9034 BLKGRD: CDB: 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:(0):9035 BLKGRD: READ @ sector 0, count 256
Jun 16 15:47:50 sanx1001 kernel: lpfc 0007:01:00.0: 0:0336 Rsp Ring 0 error: IOCB Data: x40000048 x631d00c0 x0 x0 xe x0 xe5108f1 x10229b36
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Done: SUCCESS
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Unhandled error code
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jun 16 15:47:50 sanx1001 kernel: sd 5:0:0:0: [sde] CDB: Read(10): 28 20 00 00 00 00 00 01 00 00
Jun 16 15:47:50 sanx1001 kernel: end_request: I/O error, dev sde, sector 0
Jun 16 15:47:50 sanx1001 kernel: __ratelimit: 112 callbacks suppressed
Jun 16 15:47:50 sanx1001 kernel: Buffer I/O error on device sde, logical block 0
Jun 16 15:47:50 sanx1001 kernel: Buffer I/O error on device sde, logical block 1
Comment 2 Ric Wheeler 2010-07-02 10:57:42 EDT
Do you see the same error when using "oflag=direct" for dd?
Comment 3 Richard A Lary 2010-07-02 14:50:30 EDT
Read/Write errors are resolved after adapter firmware update to 200n10.
Firmware update was made availble for test today.
Comment 4 Richard A Lary 2010-07-06 16:36:41 EDT
With test patch applied and firmware version 2.00N10, good path testing with
heavy I/O ran without errors for 4 days.

CRC and Reference Tag corruption testing will commence tomorrow.
Comment 5 Richard A Lary 2010-07-14 15:44:14 EDT
Ref_tag and guard_tag testing produced expected ASC/ASCQ values from driver.
Comment 6 RHEL Product and Program Management 2010-07-15 10:35:22 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Note You need to log in before you can comment on or make changes to this bug.